diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js ./wordpress-3.4/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/tinymce/plugins/wordpress/editor_plugin_src.js	2012-02-29 17:06:24.000000000 -0600
***************
*** 0 ****
--- 1,440 ----
+ /**
+  * WordPress plugin.
+  */
+ 
+ (function() {
+ 	var DOM = tinymce.DOM;
+ 
+ 	tinymce.create('tinymce.plugins.WordPress', {
+ 		mceTout : 0,
+ 
+ 		init : function(ed, url) {
+ 			var t = this, tbId = ed.getParam('wordpress_adv_toolbar', 'toolbar2'), last = 0, moreHTML, nextpageHTML, closeOnClick;
+ 			moreHTML = '<img src="' + url + '/img/trans.gif" class="mceWPmore mceItemNoResize" title="'+ed.getLang('wordpress.wp_more_alt')+'" />';
+ 			nextpageHTML = '<img src="' + url + '/img/trans.gif" class="mceWPnextpage mceItemNoResize" title="'+ed.getLang('wordpress.wp_page_alt')+'" />';
+ 
+ 			if ( getUserSetting('hidetb', '0') == '1' )
+ 				ed.settings.wordpress_adv_hidden = 0;
+ 
+ 			// Hides the specified toolbar and resizes the iframe
+ 			ed.onPostRender.add(function() {
+ 				var adv_toolbar = ed.controlManager.get(tbId);
+ 				if ( ed.getParam('wordpress_adv_hidden', 1) && adv_toolbar ) {
+ 					DOM.hide(adv_toolbar.id);
+ 					t._resizeIframe(ed, tbId, 28);
+ 				}
+ 			});
+ 
+ 			// Register commands
+ 			ed.addCommand('WP_More', function() {
+ 				ed.execCommand('mceInsertContent', 0, moreHTML);
+ 			});
+ 
+ 			ed.addCommand('WP_Page', function() {
+ 				ed.execCommand('mceInsertContent', 0, nextpageHTML);
+ 			});
+ 
+ 			ed.addCommand('WP_Help', function() {
+ 				ed.windowManager.open({
+ 					url : tinymce.baseURL + '/wp-mce-help.php',
+ 					width : 450,
+ 					height : 420,
+ 					inline : 1
+ 				});
+ 			});
+ 
+ 			ed.addCommand('WP_Adv', function() {
+ 				var cm = ed.controlManager, id = cm.get(tbId).id;
+ 
+ 				if ( 'undefined' == id )
+ 					return;
+ 
+ 				if ( DOM.isHidden(id) ) {
+ 					cm.setActive('wp_adv', 1);
+ 					DOM.show(id);
+ 					t._resizeIframe(ed, tbId, -28);
+ 					ed.settings.wordpress_adv_hidden = 0;
+ 					setUserSetting('hidetb', '1');
+ 				} else {
+ 					cm.setActive('wp_adv', 0);
+ 					DOM.hide(id);
+ 					t._resizeIframe(ed, tbId, 28);
+ 					ed.settings.wordpress_adv_hidden = 1;
+ 					setUserSetting('hidetb', '0');
+ 				}
+ 			});
+ 
+ 			ed.addCommand('WP_Medialib', function() {
+ 				var id = ed.getParam('wp_fullscreen_editor_id') || ed.getParam('fullscreen_editor_id') || ed.id,
+ 					link = tinymce.DOM.select('#wp-' + id + '-media-buttons a.thickbox');
+ 
+ 				if ( link && link[0] )
+ 					link = link[0];
+ 				else
+ 					return;
+ 
+ 				tb_show('', link.href);
+ 				tinymce.DOM.setStyle( ['TB_overlay','TB_window','TB_load'], 'z-index', '999999' );
+ 			});
+ 
+ 			// Register buttons
+ 			ed.addButton('wp_more', {
+ 				title : 'wordpress.wp_more_desc',
+ 				cmd : 'WP_More'
+ 			});
+ 
+ 			ed.addButton('wp_page', {
+ 				title : 'wordpress.wp_page_desc',
+ 				image : url + '/img/page.gif',
+ 				cmd : 'WP_Page'
+ 			});
+ 
+ 			ed.addButton('wp_help', {
+ 				title : 'wordpress.wp_help_desc',
+ 				cmd : 'WP_Help'
+ 			});
+ 
+ 			ed.addButton('wp_adv', {
+ 				title : 'wordpress.wp_adv_desc',
+ 				cmd : 'WP_Adv'
+ 			});
+ 
+ 			// Add Media button
+ 			ed.addButton('add_media', {
+ 				title : 'wordpress.add_media',
+ 				image : url + '/img/image.gif',
+ 				cmd : 'WP_Medialib'
+ 			});
+ 
+ 			// Add Media buttons to fullscreen and handle align buttons for image captions
+ 			ed.onBeforeExecCommand.add(function(ed, cmd, ui, val, o) {
+ 				var DOM = tinymce.DOM, n, DL, DIV, cls, a, align;
+ 				if ( 'mceFullScreen' == cmd ) {
+ 					if ( 'mce_fullscreen' != ed.id && DOM.select('a.thickbox').length )
+ 						ed.settings.theme_advanced_buttons1 += ',|,add_media';
+ 				}
+ 
+ 				if ( 'JustifyLeft' == cmd || 'JustifyRight' == cmd || 'JustifyCenter' == cmd ) {
+ 					n = ed.selection.getNode();
+ 
+ 					if ( n.nodeName == 'IMG' ) {
+ 						align = cmd.substr(7).toLowerCase();
+ 						a = 'align' + align;
+ 						DL = ed.dom.getParent(n, 'dl.wp-caption');
+ 						DIV = ed.dom.getParent(n, 'div.mceTemp');
+ 
+ 						if ( DL && DIV ) {
+ 							cls = ed.dom.hasClass(DL, a) ? 'alignnone' : a;
+ 							DL.className = DL.className.replace(/align[^ '"]+\s?/g, '');
+ 							ed.dom.addClass(DL, cls);
+ 
+ 							if (cls == 'aligncenter')
+ 								ed.dom.addClass(DIV, 'mceIEcenter');
+ 							else
+ 								ed.dom.removeClass(DIV, 'mceIEcenter');
+ 
+ 							o.terminate = true;
+ 							ed.execCommand('mceRepaint');
+ 						} else {
+ 							if ( ed.dom.hasClass(n, a) )
+ 								ed.dom.addClass(n, 'alignnone');
+ 							else
+ 								ed.dom.removeClass(n, 'alignnone');
+ 						}
+ 					}
+ 				}
+ 			});
+ 
+ 			ed.onInit.add(function(ed) {
+ 				var bodyClass = ed.getParam('body_class', ''), body = ed.getBody();
+ 
+ 				// add body classes
+ 				if ( bodyClass )
+ 					bodyClass = bodyClass.split(' ');
+ 				else
+ 					bodyClass = [];
+ 
+ 				if ( ed.getParam('directionality', '') == 'rtl' )
+ 					bodyClass.push('rtl');
+ 
+ 				if ( tinymce.isIE9 )
+ 					bodyClass.push('ie9');
+ 				else if ( tinymce.isIE8 )
+ 					bodyClass.push('ie8');
+ 				else if ( tinymce.isIE7 )
+ 					bodyClass.push('ie7');
+ 
+ 				if ( ed.id != 'wp_mce_fullscreen' && ed.id != 'mce_fullscreen' )
+ 					bodyClass.push('wp-editor');
+ 				else if ( ed.id == 'mce_fullscreen' )
+ 					bodyClass.push('mce-fullscreen');
+ 
+ 				tinymce.each( bodyClass, function(cls){
+ 					if ( cls )
+ 						ed.dom.addClass(body, cls);
+ 				});
+ 
+ 				// make sure these run last
+ 				ed.onNodeChange.add( function(ed, cm, e) {
+ 					var DL;
+ 
+ 					if ( e.nodeName == 'IMG' ) {
+ 						DL = ed.dom.getParent(e, 'dl.wp-caption');
+ 					} else if ( e.nodeName == 'DIV' && ed.dom.hasClass(e, 'mceTemp') ) {
+ 						DL = e.firstChild;
+ 
+ 						if ( ! ed.dom.hasClass(DL, 'wp-caption') )
+ 							DL = false;
+ 					}
+ 
+ 					if ( DL ) {
+ 						if ( ed.dom.hasClass(DL, 'alignleft') )
+ 							cm.setActive('justifyleft', 1);
+ 						else if ( ed.dom.hasClass(DL, 'alignright') )
+ 							cm.setActive('justifyright', 1);
+ 						else if ( ed.dom.hasClass(DL, 'aligncenter') )
+ 							cm.setActive('justifycenter', 1);
+ 					}
+ 				});
+ 
+ 				// remove invalid parent paragraphs when pasting HTML and/or switching to the HTML editor and back
+ 				ed.onBeforeSetContent.add(function(ed, o) {
+ 					if ( o.content ) {
+ 						o.content = o.content.replace(/<p>\s*<(p|div|ul|ol|dl|table|blockquote|h[1-6]|fieldset|pre|address)( [^>]*)?>/gi, '<$1$2>');
+ 						o.content = o.content.replace(/<\/(p|div|ul|ol|dl|table|blockquote|h[1-6]|fieldset|pre|address)>\s*<\/p>/gi, '</$1>');
+ 					}
+ 				});
+ 			});
+ 
+ 			// Word count
+ 			if ( 'undefined' != typeof(jQuery) ) {
+ 				ed.onKeyUp.add(function(ed, e) {
+ 					var k = e.keyCode || e.charCode;
+ 
+ 					if ( k == last )
+ 						return;
+ 
+ 					if ( 13 == k || 8 == last || 46 == last )
+ 						jQuery(document).triggerHandler('wpcountwords', [ ed.getContent({format : 'raw'}) ]);
+ 
+ 					last = k;
+ 				});
+ 			};
+ 
+ 			// keep empty paragraphs :(
+ 			ed.onSaveContent.addToTop(function(ed, o) {
+ 				o.content = o.content.replace(/<p>(<br ?\/?>|\u00a0|\uFEFF)?<\/p>/g, '<p>&nbsp;</p>');
+ 			});
+ 
+ 			ed.onSaveContent.add(function(ed, o) {
+ 				if ( ed.getParam('wpautop', true) && typeof(switchEditors) == 'object' ) {
+ 					if ( ed.isHidden() )
+ 						o.content = o.element.value;
+ 					else
+ 						o.content = switchEditors.pre_wpautop(o.content);
+ 				}
+ 			});
+ 
+ 			/* disable for now
+ 			ed.onBeforeSetContent.add(function(ed, o) {
+ 				o.content = t._setEmbed(o.content);
+ 			});
+ 
+ 			ed.onPostProcess.add(function(ed, o) {
+ 				if ( o.get )
+ 					o.content = t._getEmbed(o.content);
+ 			});
+ 			*/
+ 
+ 			// Add listeners to handle more break
+ 			t._handleMoreBreak(ed, url);
+ 
+ 			// Add custom shortcuts
+ 			ed.addShortcut('alt+shift+c', ed.getLang('justifycenter_desc'), 'JustifyCenter');
+ 			ed.addShortcut('alt+shift+r', ed.getLang('justifyright_desc'), 'JustifyRight');
+ 			ed.addShortcut('alt+shift+l', ed.getLang('justifyleft_desc'), 'JustifyLeft');
+ 			ed.addShortcut('alt+shift+j', ed.getLang('justifyfull_desc'), 'JustifyFull');
+ 			ed.addShortcut('alt+shift+q', ed.getLang('blockquote_desc'), 'mceBlockQuote');
+ 			ed.addShortcut('alt+shift+u', ed.getLang('bullist_desc'), 'InsertUnorderedList');
+ 			ed.addShortcut('alt+shift+o', ed.getLang('numlist_desc'), 'InsertOrderedList');
+ 			ed.addShortcut('alt+shift+d', ed.getLang('striketrough_desc'), 'Strikethrough');
+ 			ed.addShortcut('alt+shift+n', ed.getLang('spellchecker.desc'), 'mceSpellCheck');
+ 			ed.addShortcut('alt+shift+a', ed.getLang('link_desc'), 'mceLink');
+ 			ed.addShortcut('alt+shift+s', ed.getLang('unlink_desc'), 'unlink');
+ 			ed.addShortcut('alt+shift+m', ed.getLang('image_desc'), 'WP_Medialib');
+ 			ed.addShortcut('alt+shift+g', ed.getLang('fullscreen.desc'), 'mceFullScreen');
+ 			ed.addShortcut('alt+shift+z', ed.getLang('wp_adv_desc'), 'WP_Adv');
+ 			ed.addShortcut('alt+shift+h', ed.getLang('help_desc'), 'WP_Help');
+ 			ed.addShortcut('alt+shift+t', ed.getLang('wp_more_desc'), 'WP_More');
+ 			ed.addShortcut('alt+shift+p', ed.getLang('wp_page_desc'), 'WP_Page');
+ 			ed.addShortcut('ctrl+s', ed.getLang('save_desc'), function(){if('function'==typeof autosave)autosave();});
+ 
+ 			if ( tinymce.isWebKit ) {
+ 				ed.addShortcut('alt+shift+b', ed.getLang('bold_desc'), 'Bold');
+ 				ed.addShortcut('alt+shift+i', ed.getLang('italic_desc'), 'Italic');
+ 			}
+ 
+ 			ed.onInit.add(function(ed) {
+ 				tinymce.dom.Event.add(ed.getWin(), 'scroll', function(e) {
+ 					ed.plugins.wordpress._hideButtons();
+ 				});
+ 				tinymce.dom.Event.add(ed.getBody(), 'dragstart', function(e) {
+ 					ed.plugins.wordpress._hideButtons();
+ 				});
+ 			});
+ 
+ 			ed.onBeforeExecCommand.add(function(ed, cmd, ui, val) {
+ 				ed.plugins.wordpress._hideButtons();
+ 			});
+ 
+ 			ed.onSaveContent.add(function(ed, o) {
+ 				ed.plugins.wordpress._hideButtons();
+ 			});
+ 
+ 			ed.onMouseDown.add(function(ed, e) {
+ 				if ( e.target.nodeName != 'IMG' )
+ 					ed.plugins.wordpress._hideButtons();
+ 			});
+ 
+ 			closeOnClick = function(e){
+ 				var id;
+ 
+ 				if ( e.target.id == 'mceModalBlocker' || e.target.className == 'ui-widget-overlay' ) {
+ 					for ( id in ed.windowManager.windows ) {
+ 						ed.windowManager.close(null, id);
+ 					}
+ 				}
+ 			}
+ 
+ 			// close popups when clicking on the background
+ 			tinymce.dom.Event.remove(document.body, 'click', closeOnClick);
+ 			tinymce.dom.Event.add(document.body, 'click', closeOnClick);
+ 		},
+ 
+ 		getInfo : function() {
+ 			return {
+ 				longname : 'WordPress Plugin',
+ 				author : 'WordPress', // add Moxiecode?
+ 				authorurl : 'http://wordpress.org',
+ 				infourl : 'http://wordpress.org',
+ 				version : '3.0'
+ 			};
+ 		},
+ 
+ 		// Internal functions
+ 		_setEmbed : function(c) {
+ 			return c.replace(/\[embed\]([\s\S]+?)\[\/embed\][\s\u00a0]*/g, function(a,b){
+ 				return '<img width="300" height="200" src="' + tinymce.baseURL + '/plugins/wordpress/img/trans.gif" class="wp-oembed mceItemNoResize" alt="'+b+'" title="'+b+'" />';
+ 			});
+ 		},
+ 
+ 		_getEmbed : function(c) {
+ 			return c.replace(/<img[^>]+>/g, function(a) {
+ 				if ( a.indexOf('class="wp-oembed') != -1 ) {
+ 					var u = a.match(/alt="([^\"]+)"/);
+ 					if ( u[1] )
+ 						a = '[embed]' + u[1] + '[/embed]';
+ 				}
+ 				return a;
+ 			});
+ 		},
+ 
+ 		_showButtons : function(n, id) {
+ 			var ed = tinyMCE.activeEditor, p1, p2, vp, DOM = tinymce.DOM, X, Y;
+ 
+ 			vp = ed.dom.getViewPort(ed.getWin());
+ 			p1 = DOM.getPos(ed.getContentAreaContainer());
+ 			p2 = ed.dom.getPos(n);
+ 
+ 			X = Math.max(p2.x - vp.x, 0) + p1.x;
+ 			Y = Math.max(p2.y - vp.y, 0) + p1.y;
+ 
+ 			DOM.setStyles(id, {
+ 				'top' : Y+5+'px',
+ 				'left' : X+5+'px',
+ 				'display' : 'block'
+ 			});
+ 
+ 			if ( this.mceTout )
+ 				clearTimeout(this.mceTout);
+ 
+ 			this.mceTout = setTimeout( function(){ed.plugins.wordpress._hideButtons();}, 5000 );
+ 		},
+ 
+ 		_hideButtons : function() {
+ 			if ( !this.mceTout )
+ 				return;
+ 
+ 			if ( document.getElementById('wp_editbtns') )
+ 				tinymce.DOM.hide('wp_editbtns');
+ 
+ 			if ( document.getElementById('wp_gallerybtns') )
+ 				tinymce.DOM.hide('wp_gallerybtns');
+ 
+ 			clearTimeout(this.mceTout);
+ 			this.mceTout = 0;
+ 		},
+ 
+ 		// Resizes the iframe by a relative height value
+ 		_resizeIframe : function(ed, tb_id, dy) {
+ 			var ifr = ed.getContentAreaContainer().firstChild;
+ 
+ 			DOM.setStyle(ifr, 'height', ifr.clientHeight + dy); // Resize iframe
+ 			ed.theme.deltaHeight += dy; // For resize cookie
+ 		},
+ 
+ 		_handleMoreBreak : function(ed, url) {
+ 			var moreHTML, nextpageHTML;
+ 
+ 			moreHTML = '<img src="' + url + '/img/trans.gif" alt="$1" class="mceWPmore mceItemNoResize" title="'+ed.getLang('wordpress.wp_more_alt')+'" />';
+ 			nextpageHTML = '<img src="' + url + '/img/trans.gif" class="mceWPnextpage mceItemNoResize" title="'+ed.getLang('wordpress.wp_page_alt')+'" />';
+ 
+ 			// Display morebreak instead if img in element path
+ 			ed.onPostRender.add(function() {
+ 				if (ed.theme.onResolveName) {
+ 					ed.theme.onResolveName.add(function(th, o) {
+ 						if (o.node.nodeName == 'IMG') {
+ 							if ( ed.dom.hasClass(o.node, 'mceWPmore') )
+ 								o.name = 'wpmore';
+ 							if ( ed.dom.hasClass(o.node, 'mceWPnextpage') )
+ 								o.name = 'wppage';
+ 						}
+ 
+ 					});
+ 				}
+ 			});
+ 
+ 			// Replace morebreak with images
+ 			ed.onBeforeSetContent.add(function(ed, o) {
+ 				if ( o.content ) {
+ 					o.content = o.content.replace(/<!--more(.*?)-->/g, moreHTML);
+ 					o.content = o.content.replace(/<!--nextpage-->/g, nextpageHTML);
+ 				}
+ 			});
+ 
+ 			// Replace images with morebreak
+ 			ed.onPostProcess.add(function(ed, o) {
+ 				if (o.get)
+ 					o.content = o.content.replace(/<img[^>]+>/g, function(im) {
+ 						if (im.indexOf('class="mceWPmore') !== -1) {
+ 							var m, moretext = (m = im.match(/alt="(.*?)"/)) ? m[1] : '';
+ 							im = '<!--more'+moretext+'-->';
+ 						}
+ 						if (im.indexOf('class="mceWPnextpage') !== -1)
+ 							im = '<!--nextpage-->';
+ 
+ 						return im;
+ 					});
+ 			});
+ 
+ 			// Set active buttons if user selected pagebreak or more break
+ 			ed.onNodeChange.add(function(ed, cm, n) {
+ 				cm.setActive('wp_page', n.nodeName === 'IMG' && ed.dom.hasClass(n, 'mceWPnextpage'));
+ 				cm.setActive('wp_more', n.nodeName === 'IMG' && ed.dom.hasClass(n, 'mceWPmore'));
+ 			});
+ 		}
+ 	});
+ 
+ 	// Register plugin
+ 	tinymce.PluginManager.add('wordpress', tinymce.plugins.WordPress);
+ })();
Binary files ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wordpress/img/embedded.png and ./wordpress-3.4/wp-includes/js/tinymce/plugins/wordpress/img/embedded.png differ
Binary files ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wordpress/img/more_bug.gif and ./wordpress-3.4/wp-includes/js/tinymce/plugins/wordpress/img/more_bug.gif differ
Binary files ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wordpress/img/page_bug.gif and ./wordpress-3.4/wp-includes/js/tinymce/plugins/wordpress/img/page_bug.gif differ
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpdialogs/editor_plugin_src.js ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpdialogs/editor_plugin_src.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpdialogs/editor_plugin_src.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpdialogs/editor_plugin_src.js	2012-02-18 00:43:47.000000000 -0600
***************
*** 0 ****
--- 1,80 ----
+ /**
+  * editor_plugin_src.js
+  *
+  * Copyright 2009, Moxiecode Systems AB
+  * Released under LGPL License.
+  *
+  * License: http://tinymce.moxiecode.com/license
+  * Contributing: http://tinymce.moxiecode.com/contributing
+  */
+ 
+ (function() {
+ 	tinymce.create('tinymce.plugins.WPDialogs', {
+ 		init : function(ed, url) {
+ 			tinymce.create('tinymce.WPWindowManager:tinymce.InlineWindowManager', {
+ 				WPWindowManager : function(ed) {
+ 					this.parent(ed);
+ 				},
+ 
+ 				open : function(f, p) {
+ 					var t = this, element;
+ 
+ 					if ( ! f.wpDialog )
+ 						return this.parent( f, p );
+ 					else if ( ! f.id )
+ 						return;
+ 
+ 					element = jQuery('#' + f.id);
+ 					if ( ! element.length )
+ 						return;
+ 
+ 					t.features = f;
+ 					t.params = p;
+ 					t.onOpen.dispatch(t, f, p);
+ 					t.element = t.windows[ f.id ] = element;
+ 
+ 					// Store selection
+ 					t.bookmark = t.editor.selection.getBookmark(1);
+ 
+ 					// Create the dialog if necessary
+ 					if ( ! element.data('wpdialog') ) {
+ 						element.wpdialog({
+ 							title: f.title,
+ 							width: f.width,
+ 							height: f.height,
+ 							modal: true,
+ 							dialogClass: 'wp-dialog',
+ 							zIndex: 300000
+ 						});
+ 					}
+ 
+ 					element.wpdialog('open');
+ 				},
+ 				close : function() {
+ 					if ( ! this.features.wpDialog )
+ 						return this.parent.apply( this, arguments );
+ 
+ 					this.element.wpdialog('close');
+ 				}
+ 			});
+ 
+ 			// Replace window manager
+ 			ed.onBeforeRenderUI.add(function() {
+ 				ed.windowManager = new tinymce.WPWindowManager(ed);
+ 			});
+ 		},
+ 
+ 		getInfo : function() {
+ 			return {
+ 				longname : 'WPDialogs',
+ 				author : 'WordPress',
+ 				authorurl : 'http://wordpress.org',
+ 				infourl : 'http://wordpress.org',
+ 				version : '0.1'
+ 			};
+ 		}
+ 	});
+ 
+ 	// Register plugin
+ 	tinymce.PluginManager.add('wpdialogs', tinymce.plugins.WPDialogs);
+ })();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin_src.js ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin_src.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin_src.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin_src.js	2012-05-01 20:14:52.000000000 -0500
***************
*** 0 ****
--- 1,281 ----
+ 
+ (function() {
+ 	tinymce.create('tinymce.plugins.wpEditImage', {
+ 		url: '',
+ 		editor: {},
+ 
+ 		init: function(ed, url) {
+ 			var t = this, mouse = {};
+ 
+ 			t.url = url;
+ 			t.editor = ed;
+ 			t._createButtons();
+ 
+ 			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('...');
+ 			ed.addCommand('WP_EditImage', function() {
+ 				var el = ed.selection.getNode(), vp, H, W, cls = ed.dom.getAttrib(el, 'class');
+ 
+ 				if ( cls.indexOf('mceItem') != -1 || cls.indexOf('wpGallery') != -1 || el.nodeName != 'IMG' )
+ 					return;
+ 
+ 				vp = tinymce.DOM.getViewPort();
+ 				H = 680 < (vp.h - 70) ? 680 : vp.h - 70;
+ 				W = 650 < vp.w ? 650 : vp.w;
+ 
+ 				ed.windowManager.open({
+ 					file: url + '/editimage.html',
+ 					width: W+'px',
+ 					height: H+'px',
+ 					inline: true
+ 				});
+ 			});
+ 
+ 			ed.onInit.add(function(ed) {
+ 				ed.dom.events.add(ed.getBody(), 'dragstart', function(e) {
+ 					var parent;
+ 
+ 					if ( e.target.nodeName == 'IMG' && ( parent = ed.dom.getParent(e.target, 'div.mceTemp') ) ) {
+ 						ed.selection.select(parent);
+ 					}
+ 				});
+ 			});
+ 
+ 			// resize the caption <dl> when the image is soft-resized by the user (only possible in Firefox and IE)
+ 			ed.onMouseUp.add(function(ed, e) {
+ 				if ( tinymce.isWebKit || tinymce.isOpera )
+ 					return;
+ 
+ 				if ( mouse.x && (e.clientX != mouse.x || e.clientY != mouse.y) ) {
+ 					var n = ed.selection.getNode();
+ 
+ 					if ( 'IMG' == n.nodeName ) {
+ 						window.setTimeout(function(){
+ 							var DL = ed.dom.getParent(n, 'dl.wp-caption'), width;
+ 
+ 							if ( n.width != mouse.img_w || n.height != mouse.img_h )
+ 								n.className = n.className.replace(/size-[^ "']+/, '');
+ 
+ 							if ( DL ) {
+ 								width = ed.dom.getAttrib(n, 'width') || n.width;
+ 								width = parseInt(width, 10);
+ 								ed.dom.setStyle(DL, 'width', 10 + width);
+ 								ed.execCommand('mceRepaint');
+ 							}
+ 						}, 100);
+ 					}
+ 				}
+ 				mouse = {};
+ 			});
+ 
+ 			// show editimage buttons
+ 			ed.onMouseDown.add(function(ed, e) {
+ 				var target = e.target;
+ 
+ 				if ( target.nodeName != 'IMG' ) {
+ 					if ( target.firstChild && target.firstChild.nodeName == 'IMG' && target.childNodes.length == 1 )
+ 						target = target.firstChild;
+ 					else
+ 						return;
+ 				}
+ 
+ 				if ( ed.dom.getAttrib(target, 'class').indexOf('mceItem') == -1 ) {
+ 					mouse = {
+ 						x: e.clientX,
+ 						y: e.clientY,
+ 						img_w: target.clientWidth,
+ 						img_h: target.clientHeight
+ 					};
+ 
+ 					ed.plugins.wordpress._showButtons(target, 'wp_editbtns');
+ 				}
+ 			});
+ 
+ 			// when pressing Return inside a caption move the caret to a new parapraph under it
+ 			ed.onKeyPress.add(function(ed, e) {
+ 				var n, DL, DIV, P;
+ 
+ 				if ( e.keyCode == 13 ) {
+ 					n = ed.selection.getNode();
+ 					DL = ed.dom.getParent(n, 'dl.wp-caption');
+ 
+ 					if ( DL )
+ 						DIV = ed.dom.getParent(DL, 'div.mceTemp');
+ 
+ 					if ( DIV ) {
+ 						P = ed.dom.create('p', {}, '<br>');
+ 						ed.dom.insertAfter( P, DIV );
+ 						ed.selection.select(P.firstChild);
+ 
+ 						if ( tinymce.isIE ) {
+ 							ed.selection.setContent('');
+ 						} else {
+ 							ed.selection.setContent('<br _moz_dirty="">');
+ 							ed.selection.setCursorLocation(P, 0);
+ 						}
+ 
+ 						ed.dom.events.cancel(e);
+ 						return false;
+ 					}
+ 				}
+ 			});
+ 
+ 			ed.onBeforeSetContent.add(function(ed, o) {
+ 				o.content = ed.wpSetImgCaption(o.content);
+ 			});
+ 
+ 			ed.onPostProcess.add(function(ed, o) {
+ 				if (o.get)
+ 					o.content = ed.wpGetImgCaption(o.content);
+ 			});
+ 
+ 			ed.wpSetImgCaption = function(content) {
+ 				return t._do_shcode(content);
+ 			};
+ 
+ 			ed.wpGetImgCaption = function(content) {
+ 				return t._get_shcode(content);
+ 			};
+ 		},
+ 
+ 		_do_shcode : function(content) {
+ 			return content.replace(/(?:<p>)?\[(?:wp_)?caption([^\]]+)\]([\s\S]+?)\[\/(?:wp_)?caption\](?:<\/p>)?/g, function(a,b,c){
+ 				var id, cls, w, cap, div_cls, img, trim = tinymce.trim;
+ 
+ 				id = b.match(/id=['"]([^'"]*)['"] ?/);
+ 				b = b.replace(id[0], '');
+ 
+ 				cls = b.match(/align=['"]([^'"]*)['"] ?/);
+ 				b = b.replace(cls[0], '');
+ 
+ 				w = b.match(/width=['"]([0-9]*)['"] ?/);
+ 				b = b.replace(w[0], '');
+ 
+ 				c = trim(c);
+ 				img = c.match(/((?:<a [^>]+>)?<img [^>]+>(?:<\/a>)?)([\s\S]*)/i);
+ 
+ 				if ( img && img[2] ) {
+ 					cap = trim( img[2] );
+ 					img = trim( img[1] );
+ 				} else {
+ 					// old captions shortcode style
+ 					cap = trim(b).replace(/caption=['"]/, '').replace(/['"]$/, '');
+ 					img = c;
+ 				}
+ 
+ 				id = ( id && id[1] ) ? id[1] : '';
+ 				cls = ( cls && cls[1] ) ? cls[1] : 'alignnone';
+ 				w = ( w && w[1] ) ? w[1] : '';
+ 
+ 				if ( !w || !cap )
+ 					return c;
+ 
+ 				div_cls = 'mceTemp';
+ 				if ( cls == 'aligncenter' )
+ 					div_cls += ' mceIEcenter';
+ 
+ 				return '<div class="'+div_cls+'"><dl id="'+id+'" class="wp-caption '+cls+'" style="width: '+( 10 + parseInt(w) )+
+ 				'px"><dt class="wp-caption-dt">'+img+'</dt><dd class="wp-caption-dd">'+cap+'</dd></dl></div>';
+ 			});
+ 		},
+ 
+ 		_get_shcode : function(content) {
+ 			return content.replace(/<div (?:id="attachment_|class="mceTemp)[^>]*>([\s\S]+?)<\/div>/g, function(a, b){
+ 				var ret = b.replace(/<dl ([^>]+)>\s*<dt [^>]+>([\s\S]+?)<\/dt>\s*<dd [^>]+>([\s\S]*?)<\/dd>\s*<\/dl>/gi, function(a,b,c,cap){
+ 					var id, cls, w;
+ 
+ 					w = c.match(/width="([0-9]*)"/);
+ 					w = ( w && w[1] ) ? w[1] : '';
+ 
+ 					if ( !w || !cap )
+ 						return c;
+ 
+ 					id = b.match(/id="([^"]*)"/);
+ 					id = ( id && id[1] ) ? id[1] : '';
+ 
+ 					cls = b.match(/class="([^"]*)"/);
+ 					cls = ( cls && cls[1] ) ? cls[1] : '';
+ 					cls = cls.match(/align[a-z]+/) || 'alignnone';
+ 
+ 					cap = cap.replace(/\r\n|\r/g, '\n').replace(/<[a-zA-Z0-9]+( [^<>]+)?>/g, function(a){
+ 						// no line breaks inside HTML tags
+ 						return a.replace(/[\r\n\t]+/, ' ');
+ 					});
+ 
+ 					// convert remaining line breaks to <br>
+ 					cap = cap.replace(/\s*\n\s*/g, '<br />');
+ 
+ 					return '[caption id="'+id+'" align="'+cls+'" width="'+w+'"]'+c+' '+cap+'[/caption]';
+ 				});
+ 
+ 				if ( ret.indexOf('[caption') !== 0 ) {
+ 					// the caption html seems brocken, try to find the image that may be wrapped in a link
+ 					// and may be followed by <p> with the caption text.
+ 					ret = b.replace(/[\s\S]*?((?:<a [^>]+>)?<img [^>]+>(?:<\/a>)?)(<p>[\s\S]*<\/p>)?[\s\S]*/gi, '<p>$1</p>$2');
+ 				}
+ 
+ 				return ret;
+ 			});
+ 		},
+ 
+ 		_createButtons : function() {
+ 			var t = this, ed = tinyMCE.activeEditor, DOM = tinymce.DOM, editButton, dellButton;
+ 
+ 			DOM.remove('wp_editbtns');
+ 
+ 			DOM.add(document.body, 'div', {
+ 				id : 'wp_editbtns',
+ 				style : 'display:none;'
+ 			});
+ 
+ 			editButton = DOM.add('wp_editbtns', 'img', {
+ 				src : t.url+'/img/image.png',
+ 				id : 'wp_editimgbtn',
+ 				width : '24',
+ 				height : '24',
+ 				title : ed.getLang('wpeditimage.edit_img')
+ 			});
+ 
+ 			tinymce.dom.Event.add(editButton, 'mousedown', function(e) {
+ 				var ed = tinyMCE.activeEditor;
+ 				ed.windowManager.bookmark = ed.selection.getBookmark('simple');
+ 				ed.execCommand("WP_EditImage");
+ 			});
+ 
+ 			dellButton = DOM.add('wp_editbtns', 'img', {
+ 				src : t.url+'/img/delete.png',
+ 				id : 'wp_delimgbtn',
+ 				width : '24',
+ 				height : '24',
+ 				title : ed.getLang('wpeditimage.del_img')
+ 			});
+ 
+ 			tinymce.dom.Event.add(dellButton, 'mousedown', function(e) {
+ 				var ed = tinyMCE.activeEditor, el = ed.selection.getNode(), p;
+ 
+ 				if ( el.nodeName == 'IMG' && ed.dom.getAttrib(el, 'class').indexOf('mceItem') == -1 ) {
+ 					if ( (p = ed.dom.getParent(el, 'div')) && ed.dom.hasClass(p, 'mceTemp') )
+ 						ed.dom.remove(p);
+ 					else if ( (p = ed.dom.getParent(el, 'A')) && p.childNodes.length == 1 )
+ 						ed.dom.remove(p);
+ 					else
+ 						ed.dom.remove(el);
+ 
+ 					ed.execCommand('mceRepaint');
+ 					return false;
+ 				}
+ 			});
+ 		},
+ 
+ 		getInfo : function() {
+ 			return {
+ 				longname : 'Edit Image',
+ 				author : 'WordPress',
+ 				authorurl : 'http://wordpress.org',
+ 				infourl : '',
+ 				version : "1.0"
+ 			};
+ 		}
+ 	});
+ 
+ 	tinymce.PluginManager.add('wpeditimage', tinymce.plugins.wpEditImage);
+ })();
